Subject: Bug#150: [X2Go-Dev] Bug#150: Cinnamon 2.2 does not work

From: Mike Gabriel <[email-masked]>
Date: Sat, 20 Feb 2016 21:14:53 +0000

Control: forwarded -1 https://github.com/ArcticaProject/nx-libs/issues/76

On  Sa 09 Aug 2014 19:49:10 CEST, Michael DePaulo wrote:

> I just tested Cinnamon 2.2.13 and it does not work properly with X2Go.
>
> Basically, Cinnamon resorts fo "fallback mode", which is not the same
> as Cinnamon2d.
>
> More details are below. Note that GLX is enabled, and I ran the
> "Custom Desktop" command: cinnamon-session-cinnamon2d
>
> ----
>
> When I connect, only gnome-panel is running. (Basically,
> gnome-flashback is running, although package gnome-session-flashback
> is not installed) It is very different from cinnamon2d, which works
> locally, and there are many bugs in this version of
> gnome-panel/gnome-flashback. For example, you cannot even set a
> desktop background using the GUIs.
>
> I also see a dialog with the text:
> Do you want to restart Cinnamon?
> Cinnamon just crashed. You are currently running in Fallback Mode.
>
> If I click yes, the dialog comes back up. If I click No, I the dialog
> closes, and the session is usable, but it's very buggy for
> aforementioned reasons.
>
> This is just a VM I setup for the specific purpose of testing Cinnamon
> compatibility with X2Go.
>
> I have the GLX extension enabled on my test system
> (/etc/x2go/x2goagent.options has the line to disable GLX commented out)
> - Linux mint 17 qiana (based on Ubuntu 12.04 trusty) 64-bit
> - All latest level 1, 2 and 3 OS updates installed.
> - cinnamon version 2.2.13
> - Custom Desktop specified in x2goclient: cinnamon-session-cinnamon2d
> - x2goserver & x2goserver-xsession: 4.0.1.15-0~847~ubuntu14.04.1
> - nxagent & x2goagent: 2:3.5.0.27-0~446~ubuntu14.04.1
>
> I've attached the contents of my .xsession-x2go-errors file.
>
> Note the following session files:
> batmin@mint-q /usr/share/cinnamon-session/sessions $ ls
> cinnamon2d.session  cinnamon.session
>
> batmin@mint-q /usr/share/cinnamon-session/sessions $ cat cinnamon2d.session
> [Cinnamon Session]
> Name=Cinnamon (Software Rendering)
> RequiredComponents=cinnamon;cinnamon-settings-daemon;cinnamon-screensaver;nemo-autostart;nm-applet;
> DesktopName=X-Cinnamon
>
> batmin@mint-q /usr/share/xsessions $ ls
> cinnamon2d.desktop  cinnamon.desktop
>
> batmin@mint-q /usr/share/xsessions $ cat cinnamon2d.desktop
> [Desktop Entry]
> Name=Cinnamon (Software Rendering)
> Comment=This session logs you into Cinnamon (using software rendering)
> Exec=cinnamon-session-cinnamon2d
> TryExec=/usr/bin/cinnamon2d
> Icon=
> Type=Application
> X-Ubuntu-Gettext-Domain=cinnamon
> X-GNOME-Provides=cinnamon2d
>
> batmin@mint-q /usr/share/xsessions $ cat /usr/bin/cinnamon-session-cinnamon2d
> #! /bin/sh
> exec cinnamon-session --session cinnamon2d "$@"

Contiuing this on nx-libs issue tracker on Github:
https://github.com/ArcticaProject/nx-libs/issues/76

A solution is planned for the release series 3.7.x.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de